▼ |  | Syntax: Meta-Programming Helpers

1 | Parsing and Specifying Syntax
2 | Syntax Object Helpers
3 | Datum Pattern Matching
4 | Module-Processing Helpers
5 | Macro Transformer Helpers
6 | Reader Helpers
7 | Parsing for Bodies
8 | Source Locations
9 | Preserving Source Locations
10 | Non-Module Compilation And Expansion
11 | Trusting Standard Recertifying Transformers
12 | Attaching Documentation to Exports
| Index

On this page:

quote-syntax/ keep-srcloc

Version: 5.3.1
top ← prev up next →

### 9`` Preserving Source Locations

( require syntax/quote )

The syntax/quote module provides support for quoting syntax so that it’s source locations are preserved in marshaled bytecode form.

> > syntax

> > ( quote-syntax/keep-srcloc datum)

Like ( quote-syntax datum), but the source locations of datum are preserved.

Unlike a quote-syntax form, the results of evaluating the expression multiple times are not necessarily eq?.

top ← prev up next →